Bug 804575 - Vlan which is attached to a bridge doesn't show up in xml description
Vlan which is attached to a bridge doesn't show up in xml description
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 06:10 EDT by Hendrik Schwartke
Modified: 2016-04-26 15:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-26 15:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hendrik Schwartke 2012-03-19 06:10:34 EDT
Description of problem:
Calling virsh iface-dumpxml on a bridge with attached vlan shows the bridge but not the vlan.

Version-Release number of selected component (if applicable):
Fedora 16
libvirt.x86_64: 0.9.6-5.fc16
netcf.x86_64: 0.1.9-1.fc16
libnl.x86_64: 1.1-14.fc16

Steps to Reproduce:
vlan.xml:
<interface type='bridge' name='br-test'>
  <start mode='onboot'/>
  <bridge stp='off' delay='0'>
    <interface type='vlan' name='p6p1.666'>
      <vlan tag='666'>
        <interface name='p6p1'/>
      </vlan>
    </interface>
  </bridge>
</interface>

1. virsh iface-define vlan.xml
2. virsh iface-start br-test
3. virsh iface-dumpxml br-test

Actual results:
<interface type='bridge' name='br-test'>
  <protocol family='ipv6'>
    <ip address='fe80::21f:d0ff:fed9:fdcf' prefix='64'/>
  </protocol>
  <bridge>
  </bridge>
</interface>

Expected results:
<interface type='bridge' name='br-test'>
  <start mode='onboot'/>
  <bridge stp='off' delay='0'>
    <interface type='vlan' name='p6p1.666'>
      <vlan tag='666'>
        <interface name='p6p1'/>
      </vlan>
    </interface>
  </bridge>
</interface>

Additional info:
Calling virsh iface-dumpxml br-test --inactive returns the expected result (bridge with vlan)

brctl show:
br-test         8000.001fd0d9fdcf       no              p6p1.666
virbr0          8000.525400f0b96b       yes             virbr0-nic

ip a:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: p6p1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:1f:d0:d9:fd:cf brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.5/24 brd 192.168.0.255 scope global p6p1
    inet6 fe80::21f:d0ff:fed9:fdcf/64 scope link 
       valid_lft forever preferred_lft forever
3: virbr0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN 
    link/ether 52:54:00:f0:b9:6b brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.1/24 brd 192.168.122.255 scope global virbr0
4: virbr0-nic: <BROADCAST,MULTICAST> mtu 1500 qdisc noop master virbr0 state DOWN qlen 500
    link/ether 52:54:00:f0:b9:6b brd ff:ff:ff:ff:ff:ff
6: p6p1.666@p6p1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue master br-test state UP 
    link/ether 00:1f:d0:d9:fd:cf brd ff:ff:ff:ff:ff:ff
    inet6 fe80::21f:d0ff:fed9:fdcf/64 scope link 
       valid_lft forever preferred_lft forever
7: br-test: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP 
    link/ether 00:1f:d0:d9:fd:cf brd ff:ff:ff:ff:ff:ff
    inet6 fe80::21f:d0ff:fed9:fdcf/64 scope link 
       valid_lft forever preferred_lft forever
Comment 1 Cole Robinson 2016-03-23 16:53:57 EDT
Sorry this never received a response. I don't have a setup to test... do you know if this is still relevant with newer libvirt and netcf?
Comment 2 Cole Robinson 2016-04-26 15:50:15 EDT
No response, so closing.

If anyone can still reproduce with a more recent version of libvirt, I suggest filing a new bug

Note You need to log in before you can comment on or make changes to this bug.